package config

import "flag"

type Config struct {
	KeyFile    string
	ServerAddr string // "127.0.0.1:8022"
}

func MustParse() *Config {
	var cfg Config

	flag.StringVar(&cfg.KeyFile, "key", "~/.ssh/id_rsa", "private server key")
	flag.StringVar(&cfg.ServerAddr, "addr", "0.0.0.0:8022", "listen address")

	flag.Parse()

	return &cfg
}
